package com.qmth.distributed.print.business.bean.flow;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 自定义流程网关 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/2/10
 */
public class CustomFlowGatewayDto implements Serializable {

    @ApiModelProperty(value = "流程节点id")
    String flowTaskId;

    @ApiModelProperty(value = "条件表达式")
    String conditionExp;

    public CustomFlowGatewayDto() {

    }

    public CustomFlowGatewayDto(String flowTaskId) {
        this.flowTaskId = flowTaskId;
    }

    public CustomFlowGatewayDto(String flowTaskId, String conditionExp) {
        this.flowTaskId = flowTaskId;
        this.conditionExp = conditionExp;
    }

    public String getFlowTaskId() {
        return flowTaskId;
    }

    public void setFlowTaskId(String flowTaskId) {
        this.flowTaskId = flowTaskId;
    }

    public String getConditionExp() {
        return conditionExp;
    }

    public void setConditionExp(String conditionExp) {
        this.conditionExp = conditionExp;
    }
}
